package aspects.exceptionHandling;

public abstract aspect ExceptionHandlingAspect {

    public abstract pointcut exceptionJoinPoints();
 
	Object around() : exceptionJoinPoints() {
		Object o = null;
		try {
			o = proceed();
		} catch (Throwable ex) { //(SoftException ex) { //Caching throwable is more robust  
			this.exceptionHandling(ex);
		}
		return o;
	}
	
    abstract void exceptionHandling(Throwable exception);
}